Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Interface ObjectVariable

All Superinterfaces:
  Variable

All Known Subinterfaces:
  Super, This

    public interface ObjectVariable

extends Variable

Represents instance of some object in debugged JVM. This interface can be optionally inplemented by a implementation of `LocalVariable` or `Field` interfaces.

     Since JDI interfaces evolve from one version to another, it's strongly recommended
     not to implement this interface in client code. New methods can be added to
     this interface at any time to keep up with the JDI functionality.

See Also:
  `LocalVariable`, `Field`, `This`, `Super`, `JPDAThread.getContendedMonitor()`, `JPDAThread.getOwnedMonitors()`

Method Summary
`Field[]` | `getAllStaticFields(int from, int to)` Return all static fields.
`Field` | `getField(String name)` Returns field defined in this object.
`Field[]` | `getFields(int from, int to)` Returns non static fields defined in this object.
`int` | `getFieldsCount()` Number of fields defined in this object.
`Field[]` | `getInheritedFields(int from, int to)` Return all inherited fields.
`Super` | `getSuper()` Returns representation of super class of this object.
`String` | `getToStringValue()` Calls `Object.toString()` in debugged JVM and returns its value.
`Variable` | `invokeMethod(String methodName, String signature, Variable[] arguments)` Calls given method in debugged JVM on this instance and returns its value.

Methods inherited from interface org.netbeans.api.debugger.jpda.Variable
`getType, getValue`

Method Detail

### getToStringValue

    String getToStringValue()
                            throws InvalidExpressionException

  Calls `Object.toString()` in debugged JVM and returns its value.

  Returns:
    toString () value of this instance
  Throws:
    `InvalidExpressionException`

### invokeMethod

    Variable invokeMethod(String methodName,
                          String signature,
                          Variable[] arguments)
                          throws NoSuchMethodException,
                                 InvalidExpressionException

  Calls given method in debugged JVM on this instance and returns its value.

  Parameters:
    `methodName` - a name of method to be called
    `signature` - a signature of method to be called
    `arguments` - a arguments to be used
  Returns:
    value of given method call on this instance
  Throws:
    `NoSuchMethodException`
    `InvalidExpressionException`

### getFieldsCount

    int getFieldsCount()

  Number of fields defined in this object.

  Returns:
    number of fields defined in this object

### getField

    Field getField(String name)

  Returns field defined in this object.

  Parameters:
    `name` - a name of field to be returned
  Returns:
    field defined in this object

### getFields

    Field[] getFields(int from,
                      int to)

  Returns non static fields defined in this object.

  Parameters:
    `from` - the index of first field to be returned
    `to` - the index of last field, exclusive
  Returns:
    fields defined in this object that are greater then or equal to `from` index and less then `to` index.

### getAllStaticFields

    Field[] getAllStaticFields(int from,
                               int to)

  Return all static fields.

  Returns:
    all static fields

### getInheritedFields

    Field[] getInheritedFields(int from,
                               int to)

  Return all inherited fields.

  Returns:
    all inherited fields

### getSuper

    Super getSuper()

  Returns representation of super class of this object.

  Returns:
    representation of super class of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.